# UpdateNexusParameter

Update a nexus parameter

`PUT /api/v2/companies/{companyId}/nexus/{nexusId}/parameters/{id}`

**API:** AvaTax API
**Tag:** Nexus
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Nexus/UpdateNexusParameter/

## Description

Update a nexus parameter.
            
Some tax calculation and reporting are different depending on the properties of the nexus, such as isRemoteSeller. In AvaTax, these tax-affecting properties are called "parameters".
            
A parameter added to a nexus will be used in tax calculation based on the locationcode and parameter value provided to the transaction.
            
A parameter specified on a transaction line will override a nexus parameter if they share the same parameter name.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyCompanyAdmin, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The company id. |
| `nexusId` | integer | path | Yes | The nexus id |
| `id` | integer | path | Yes | The nexus parameter id |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `NexusParameterDetailModel`

Represents a parameter associated with a nexus.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The id of the parameter. Example: `0`. |
| `name` | string | **Yes** | The parameter's name. Example: `IsRemoteSeller`. |
| `value` | string | **Yes** | The value for the parameter. Example: `true`. |
| `unit` | string | No | The unit of measurement code for the parameter. |
| `nexusId` | integer | No | The nexus id |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `NexusParameterDetailModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `NexusParameterDetailModel`

Represents a parameter associated with a nexus.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The id of the parameter. Example: `0`. |
| `name` | string | **Yes** | The parameter's name. Example: `IsRemoteSeller`. |
| `value` | string | **Yes** | The value for the parameter. Example: `true`. |
| `unit` | string | No | The unit of measurement code for the parameter. |
| `nexusId` | integer | No | The nexus id |

## Example Request

```bash
curl -X PUT "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/nexus/{nexusId}/parameters/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "id": 0,
  "name": "IsRemoteSeller",
  "value": "true"
}'
```